Summary:	Render a planetary image into an X window
Summary(pl.UTF-8):	Renderuje obrazek planety w okienku X window
Name:		xplanet
Version:	1.3.0
Release:	3
License:	GPL
Group:		X11/Amusements
Source0:	http://downloads.sourceforge.net/xplanet/%{name}-%{version}.tar.gz
# Source0-md5:	41f7db2ccd1d8b4b989cacaf9adfe692
URL:		http://xplanet.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	freetype-devel
BuildRequires:	gettext-devel
BuildRequires:	giflib-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel
BuildRequires:	netpbm-devel
BuildRequires:	pango-devel
BuildRequires:	pkgconfig
BuildRequires:	xorg-lib-libXScrnSaver-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Xplanet is similar to Xearth, where an image of the earth is rendered
into an X window. Azimuthal, Mercator, Mollweide, orthographic, or
rectangular projections can be displayed as well as a window with a
globe the user can rotate interactively. The other terrestrial planets
may also be displayed. The Xplanet home page has links to locations
with map files.

%description -l pl.UTF-8
Xplanet podobne jest do Xearth, gdzie obrazek ziemi jest wyświetlany w
X window. Mogą być także wyświetlane rzuty azymutalne, Mercatora,
Mollweide'a, ortograficzne lub prostokątne, kiedy okienko z globem
jest interaktywnie obracane. Mogą być także wyświetlane inne planety
lądowe. Strona domowa Xplanet zawiera odnośniki do plików z mapami.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
# force using nl_langinfo interface instead of libcharset
%configure \
	ac_cv_header_localcharset_h=no

%{__make} \
	CPPFLAGS="-I/usr/include/freetype2 -I/usr/X11R6/include -I`pwd`" \
	CXXFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/xplanet
%changelog
* Sun Nov 03 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xplanet.git;a=log;h=master

* Sun Nov 03 2013 Jan Rękorajski <baggins@pld-linux.org> 7fab625
- release 3 (by relup.sh)

* Sun Nov 03 2013 Jan Rękorajski <baggins@pld-linux.org> 1975985
- refetch source

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 0e08fb8
- release 2 (by relup.sh)

* Wed Jun 06 2012 Adam Osuchowski <adwol@pld-linux.org> 7afb7da
- up to 1.3.0

* Wed Feb 08 2012 Adam Gołębiowski <adamg@pld-linux.org> 55dbe88
- release 4 (rebuild against libpng-1.5)

* Sat Jan 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> e2f7501
- release 3

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0ce0c6c
- release 2

* Sun Mar 20 2011 zbyniu <zbyniu@pld-linux.org> 392e2c6
- obsoleted

* Sun Mar 20 2011 zbyniu <zbyniu@pld-linux.org> ef50194
- up to 1.2.2

* Sat Feb 27 2010 sparky <sparky@pld-linux.org> 3d91a5d
- BR: gettext-devel, giflib-devel, netpbm-devel, pango-devel, pkgconfig,
  xorg-lib-libXScrnSaver-devel
- dropped unused BR: OpenGL-devel, OpenGL-glut-devel (why ?)

* Sat Feb 27 2010 hawk <hawk@pld-linux.org> e13c7be
- release 3

* Thu Jan 14 2010 hawk <hawk@pld-linux.org> eafd333
- release 2

* Sun Aug 16 2009 Bartłomiej Zimoń <cactus@pld-linux.org> 92c954f
- add gcc44 patch from gentoo

* Tue Jul 14 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 6244c7e
- up to 1.2.1

* Sun Jul 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 46de758
- release 5

* Fri Jul 10 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> c776110
- release 4

* Sun Aug 17 2008 Adam Gołębiowski <adamg@pld-linux.org> 6579cad
- new

* Sun Aug 17 2008 Adam Gołębiowski <adamg@pld-linux.org> 42a7ad1
- gcc43.patch
- release 3

* Tue May 06 2008 Jakub Bogusz <qboosh@pld-linux.org> 309d225
- sorted BRs

* Thu May 01 2008 radek <radek@pld-linux.org> c44166d
- release 2: BR =~ s/glut-devel/OpenGL-glut-devel/

